libcdr::CDRPolygon Struct Reference

`#include <CDRTypes.h>`

## Public Member Functions

| CDRPolygon ()
| CDRPolygon (unsigned numAngles, unsigned nextPoint, double rx, double ry, double cx, double cy)
void | create (CDRPath &path) const

## Public Attributes

unsigned | m_numAngles
unsigned | m_nextPoint
double | m_rx
double | m_ry
double | m_cx
double | m_cy

## Constructor & Destructor Documentation

## CDRPolygon() [1/2]

libcdr::CDRPolygon::CDRPolygon | ( |  | ) |

inline

## CDRPolygon() [2/2]

libcdr::CDRPolygon::CDRPolygon | ( | unsigned | numAngles,
|  | unsigned | nextPoint,
|  | double | rx,
|  | double | ry,
|  | double | cx,
|  | double | cy )

inline

## Member Function Documentation

## create()

void libcdr::CDRPolygon::create | ( | libcdr::CDRPath & | path | ) | const

## Member Data Documentation

## m_cx

double libcdr::CDRPolygon::m_cx

Referenced by CDRPolygon(), CDRPolygon(), and create().

## m_cy

double libcdr::CDRPolygon::m_cy

Referenced by CDRPolygon(), CDRPolygon(), and create().

## m_nextPoint

unsigned libcdr::CDRPolygon::m_nextPoint

Referenced by CDRPolygon(), CDRPolygon(), and create().

## m_numAngles

unsigned libcdr::CDRPolygon::m_numAngles

Referenced by CDRPolygon(), CDRPolygon(), and create().

## m_rx

double libcdr::CDRPolygon::m_rx

Referenced by CDRPolygon(), CDRPolygon(), and create().

## m_ry

double libcdr::CDRPolygon::m_ry

Referenced by CDRPolygon(), CDRPolygon(), and create().

The documentation for this struct was generated from the following files:

- CDRTypes.h
- CDRTypes.cpp